require 'tbarb'
require 'yaml'

module BannerLocator
  class Generator < Jekyll::Generator
    safe true

    def generate(site)
      tba = TBA.new('AykWePEZPKTjZxW6y7MbiTEpTfUlWrszcX5QBpIDUEZPBCJydltvhfd88MsBXxdS')
      year = DateTime.now.year
      awardMap = {}
      10.times do |count|
        awards = tba.team_awards(1418, year)
        awardList = []
        awards.each do |award|
          awardName = award['name'].split(' Award ')[0]
          events = tba.team_events(1418, year, true)
          eventName = ''
          events.each do |event|
            if event['key'] == award['event_key']
              eventName = event['city']
            end
          end
          if eventName == ''
            next
          end
          awardName = eventName + ' ' + awardName
          awardList.push({'award'=> awardName})
        end
        awardMap[year] = awardList
        year -= 1
      end
      reading = site.pages.select {|page| page.data['year'] != nil}
      reading.each do |page|
        page.data['banners'] = awardMap[page.data['year']]
      end
    end
  end
end